<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
require_once("Settings.php");
require_once("common.php");
############################################################################
$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('CoCoRaHS Precipation Map');
$ROBOTS = 'index,nofollow';
$showGizmo = true;  // set to false to exclude the gizmo

# session_start() must be processed before any other output
# or you might get a warning "headers already sent".
if( !isset( $_SESSION ) ) {
    session_start();
}
# Set timezone in PHP5/PHP4 manner
  if (!function_exists('date_default_timezone_set')) {
	 putenv("TZ=" . $SITE['tz']);
//	 print "<!-- using putenv(\"TZ=". $SITE['tz']. "\") -->\n";
    } else {
	 date_default_timezone_set($SITE['tz']);
//	 print "<!-- using date_default_timezone_set(\"". $SITE['tz']. "\") -->\n";
   }
$SITE['tzname']	= date("T",time());
############################################################################
# ------ SETTINGS -------------------
# CoCoRaHS settings:
$CCstation =    'CA-SC-15';  // Your CoCoRaHS Station identifier (like CA-SC-15 )
$CCcountyName = 'Santa Clara county'; // Your County/Parish name
$CCreportTime = '8:00am'; // Your CoCoRaHS reporting time
$CCstarted =    '15-Nov-2008'; // When you started reporting to CoCoRaHS (for display)
$CCdateAllow =  '2008-11-15'; // YYYY-MM-DD for first date with your CoCoRaHS data
$legendText =   'Saratoga'; // Your City name
$legendPos  =   '173,80';   // The top,left pixels offset to display the $legendText over map
#
# ------ END SETTINGS ---------------
############################################################################

# Initialization
list($CCstate,$CCcounty,$CCnumber) = explode('-',$CCstation);
list($Ltop,$Lleft) = explode(',',$legendPos);

include("top.php");
############################################################################
?>
<script type="text/javascript" src="./dp/calendar.js"></script>
<style type="text/css">
#mapoverlay {
      width: 620px;
      height:  504px;
      position: relative;
}
#mapimage {
  position: absolute;
  left: 0;
  top: 0;
  padding-left: 8px;
}
#maptext {
  z-index: 100;
  position: absolute;
  font-family: Tahoma, Arial, Helvetica, sans-serif; 
  color: red;
  font-size: 8pt;
  font-weight: bold;
  margin: 0 0 0 0;
  padding: 0 0 0 0;
  top:  <?php echo $Ltop; ?>px;
  left: <?php echo $Lleft; ?>px;
}
</style>
</head>
<body>
<?php
############################################################################
include("header.php");
############################################################################
include("menubar.php");
############################################################################
?>

<div id="main-copy">
  
	<h1><?php langtrans('CoCoRaHS Precipation Map'); ?></h1>
<p><?php echo $SITE['organ']; ?> is proud to be a contributing member of <a href="http://www.cocorahs.org/">CoCoRaHS</a> since <?php echo $CCstarted; ?>.  Our manual gauge measurements are made at <?php echo $CCreportTime; ?> daily and reported to the CoCoRaHS website.  The current reports for <?php echo $CCcountyName; ?> are shown on the map below.</p>
<p>Since the automated rain reports on this site are from midnight and the CoCoRaHS gauge is from <?php echo $CCreportTime; ?>, the daily rain reports may differ due to the differing times for measurement resets (automatic gauge: midnight, CoCoRaHS gauge: <?php echo $CCreportTime; ?>).</p>

<form id="form1" method="post" action="#">
  <table width="99%" style="border: none">
    <tr>
      <td>
    <label for="datecocorahs_day">Select date: </label>
  <?php
    require_once('./dp/classes/tc_calendar.php');
    $CookieDebug = '';
	  $myCalendar = new tc_calendar("datecocorahs", true);
	  $myCalendar->setIcon("./dp/images/iconCalendar.gif");
	  list($Y,$M,$D) = explode("-",date('Y-m-d'));
	  if(isset($_POST['datecocorahs']) and preg_match('|^\d{4}-\d{2}-\d{2}$|',$_POST['datecocorahs'])) {
		  list($Y,$M,$D) = explode("-",$_POST['datecocorahs']);
		  $CookieDebug .= "Using POST['datecocorahs']='".$_POST['datecocorahs']."'\n";
	  } elseif
	    (isset($_SESSION['datecocorahs']) and preg_match('|^\d{4}-\d{2}-\d{2}$|',$_SESSION['datecocorahs'])) {
		  list($Y,$M,$D) = explode("-",$_SESSION['datecocorahs']);
		  $CookieDebug .= "Using SESSION['datecocorahs']='".$_SESSION['datecocorahs']."'\n";
	  }
	  $_SESSION['datecocorahs'] = "$Y-$M-$D";
	  
	  $myCalendar->setDate($D, $M, $Y);
	  $myCalendar->setPath("./dp/");
	  $myCalendar->setYearInterval(substr($CCdateAllow,0,4), date('Y'));
	  $myCalendar->dateAllow($CCdateAllow, date('Y-m-d'));
	  $myCalendar->writeScript();
	  ?>&nbsp;<br/>
      <span style="text-align: center">
      <small>Data for <?php echo $CCstation; ?> station is available from <b><?php echo $CCstarted; ?></b> to current date.</small></span>
      </td>
      <td>
         <input type="submit" name="button" id="button" value="View Map" class="button"
        style="font-size: 11px;font-family: Arial Narrow, Arial, Helvetica, sans-serif; padding: 2px;" />
      </td>
    </tr>
    </table>
</form>
<?php
  $theDate = date("m/d/Y",strtotime($_SESSION['datecocorahs'].' 00:01:00'));
  print "<!-- theDate=$theDate -->\n";
	$CCURL = "https://www.cocorahs.org/Maps/GetMap.aspx?state=". $CCstate .
	'&amp;county='.$CCcounty .
	'&amp;type=precip&amp;date='.$theDate . '&amp;cp=0';  
?>
<div id="mapoverlay">
  <img src="<?php echo $CCURL;?>" 
    width="620" height="504" 
    alt="CoCoRaHS <?php echo $CCcountyName; ?> map for today" id="mapimage"/> 
  <p id="maptext"><?php echo $legendText; ?>:</p>
</div>
<p><a href="http://www.cocorahs.org/">CoCoRaHS</a> is an acronym for the Community Collaborative Rain, Hail and Snow Network.  CoCoRaHS is a unique, non-profit, community-based network of volunteers of all ages and backgrounds working together to measure and map precipitation (rain, hail and snow).   By using low-cost measurement tools, stressing training and education, and utilizing an <a href="http://www.cocorahs.org/">interactive Web-site</a>, their aim is to provide the highest quality data for natural resource, education and research applications. The CoCoRaHS network originated with the Colorado Climate Center at Colorado State University in 1998 thanks in part to the Fort Collins flood a year prior. In the years since, CoCoRaHS now includes thousands of volunteers nationwide. </p>
<p>The CoCoRaHS precipitation measurements are done using a 4-inch manual rain gauge. </p>
<table>
<tr>
<td align="center"><img src="dp/images/cocorahs_logo_shaped_trans.png" alt="CoCoRaHS logo" /></td>
<td align="center"><img src="dp/images/cocorahs-gauge.jpg" alt="Photo of CoCoRaHS standard precipitation gauge"/></td>
</tr>
</table>

</div><!-- end main-copy -->

<?php
############################################################################
include("footer.php");
############################################################################
# End of Page
############################################################################
?>